using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

using IBatisInAction.Domain;
using IBatisInAction.Service;

namespace IBatisInAction.Ch04Web
{
    public partial class CategoryInfo : System.Web.UI.Page
    {
        private int categoryId;
        private string QueryStringName_CategoryId = "cid";

        private CategoryService cs = new CategoryService();

        protected void Page_Load(object sender, EventArgs e)
        {
            categoryId = Convert.ToInt32(Request.QueryString[QueryStringName_CategoryId]);
            if (!IsPostBack)
            {
                Category category = new Category(categoryId);
                //category.CategoryName = "Beverages";
                category = cs.GetCategoryById(category);

                if (category != null)
                {
                    lblCategoryId.Text = category.CategoryID.ToString();
                    lblCategoryName.Text = category.CategoryName;
                }
            }
        }
    }
}
