using System;
using System.Collections.Generic;
using System.Text;

using IBatisInAction.Domain;
using IBatisInAction.Persistence;

namespace IBatisInAction.Service
{
    public class CategoryService : BaseSqlMapService
    {
        private CategoryDao cateDao = new CategoryDao();

        public IList<Category> GetAllCategories()
        {
            return cateDao.SelectAll();
        }

        public Category GetCategoryById(Category category)
        {
            return cateDao.SelectById(category);
        }

        public IList<int> GetAllCategoryIds()
        {
            return cateDao.SelectAllIds();
        }
    }
}
